# Annotation Type Generated

@Documented @Target({PACKAGE,TYPE,ANNOTATION_TYPE,METHOD,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,PARAMETER}) @Retention(SOURCE) public @interface Generated
Used to identify generated code.

Since:
  Common Annotations 1.0

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String[]`
  `value`
  Specifies the name(s) of the tool(s) that generated the annotated element.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `comments`
  Provides additional comments or metadata related to the code generation process, such as version information or configuration details.
  `String`
  `date`
  Specifies the date and time when the code was generated, typically in ISO 8601 format.

- ## Element Details

  - ### value

    String[] value
    Specifies the name(s) of the tool(s) that generated the annotated element. It is recommended that the fully qualified name of the code generator is used.
    Returns:
      the array of code generator names

  - ### date

    String date
    Specifies the date and time when the code was generated, typically in ISO 8601 format. An empty string indicates the date is not specified.
    Returns:
      the code generation date, or an empty string if not specified
    Default:
      `""`

  - ### comments

    String comments
    Provides additional comments or metadata related to the code generation process, such as version information or configuration details.
    Returns:
      additional comments about the code generation, or an empty string if none
    Default:
      `""`